use std::path::{Path, PathBuf};

use clap::Parser;

mod cli;
mod logger;

type Result<T> = anyhow::Result<T>;

fn main() -> Result<()> {
    let cliargs = cli::CliArgs::parse();
    logger::init(&cliargs);
    let manifest_path;
    if let Some(mp) = cliargs.manifest_path() {
        manifest_path = mp;
    } else { 
        manifest_path = PathBuf::from("manifest.json");
    };
    xmpd_gui::start(manifest_path)?;
    Ok(())
}
