use std::marker::PhantomData;

use uuid::Uuid;


mod playlist;
mod song;

pub struct Query<QT: ?Sized> {
    playlist: Option<Uuid>,
    song: Option<Uuid>,
    _phantom: PhantomData<QT>
}

impl Query<()> {
    pub fn song(id: Uuid) -> Query<song::QuerySong> {
        Query {
            song: Some(id),
            playlist: None,
            _phantom: PhantomData
        }
    }
    pub fn playlist(id: Uuid) -> Query<playlist::QueryPlaylist> {
        Query {
            playlist: Some(id),
            song: None,
            _phantom: PhantomData
        }
    }
}


pub trait QueryType {}


